use poise::serenity_prelude::prelude::TypeMapKey;
use serde::Deserialize;
use tool_tracing::tracing_kind::Tracing;

pub struct ConfigGlobal;

impl TypeMapKey for ConfigGlobal {
    type Value = Config;
}

#[derive(Deserialize, Clone)]
pub struct Config {
    pub bot_name: String,
    pub env: String,
    pub port: u16,
    pub token: String,
    pub prefix: String,
    pub tracing: Vec<Tracing>,
}

// Clickhouse https://github.com/ranger-finance/clickhouse-pool/blob/master/examples/simple-clickhouse/src/main.rs
#[derive(Deserialize, Clone)]
pub struct PersistenceConfig {
    pub url: String,
    pub user: String,
    pub password: String,
    pub database: String,
}
