use std::{env::set_var, io::Read};


// Load environment variables from a .env file without external dependencies
pub fn load_dot_env() {
    if let Ok(mut file) = std::fs::File::open(".env") {
        let mut contents = String::new();
        if file.read_to_string(&mut contents).is_ok() {
            for line in contents.lines() {
                if line.is_empty() || line.starts_with('#') {
                    continue; // Skip empty lines and comments
                }
                if let Some((key, value)) = line.split_once('=') {
                    unsafe { set_var(key.trim(), value.trim().replace("\"", "")) };
                }
            }
        }
    }
}